# Cocos Scene Setup
---

## Platform Node Spawner

Use this configuration to control which prefabs appear based on the current platform.

| Setting            | Value                | Description                                   |
|--------------------|----------------------|-----------------------------------------------|
| **Desktop Toggle** |  ✅ Enabled          | Show prefab on desktop                        |
| **Mobile Toggle**  |  ❌ Disabled         | Hide prefab on mobile                         |
| **Target Prefab**  |  `prefab name`       | Name of the prefab to be spawned              |


## Platform ui controller

1. Attach this script to any node that should only appear on a specific platform.

2. At runtime, the node will automatically be removed if it doesn’t match the active platform.

| Setting            | Value                | Description                                   |
|--------------------|----------------------|-----------------------------------------------|
| **Desktop Toggle** |  ✅ Enabled          | Show node on desktop                          |
| **Mobile Toggle**  |  ❌ Disabled         | Hide node on mobile                           |
